# Commitments

A commitment represents a minimum or maximum spend amount a customer is obligated to pay within a spend period, compared with customer's actual fees incurred in connection with customer's accounts and their use of applicable products. 
The Commitments API allows you to retrieve details of the commitments a customer has.

 - [GET /commitments](https://developer.zuora.com/v1-api-reference/api/commitments/getcommitments.md): Retrieves a paginated list of commitments for a commitment owner account.
 - [GET /commitments/{commitmentKey}](https://developer.zuora.com/v1-api-reference/api/commitments/getcommitmentbykey.md): Retrieves the details of a specific commitment using its ID or number.
 - [GET /commitments/periods](https://developer.zuora.com/v1-api-reference/api/commitments/getcommitmentperiods.md): Lists periods of the commitment. You can paginate the results using `page` and `pageSize` query parameters.
 - [GET /commitments/{commitmentId}/balancepreview](https://developer.zuora.com/v1-api-reference/api/commitments/getcommitmentbalancepreview.md): Preview the balance for a commitment for current and past periods. Future periods are not covered. **Note**: This API will not work for tenants that are configured to skip commitment evaluation in Zuo
 - [GET /commitments/{commitmentKey}/schedules](https://developer.zuora.com/v1-api-reference/api/commitments/listcommitmentschedules.md): Retrieves all the schedules for a specific commitment.
 - [PUT /prepayments/{prepaymentId}/expire](https://developer.zuora.com/v1-api-reference/api/commitments/expireprepayment.md): Expires a single commitment-linked prepayment and returns the updated prepayment state. After the prepayment is expired, it does not participate in future drawdown.
 - [GET /commitments/{commitmentKey}/commitmentChanges](https://developer.zuora.com/v1-api-reference/api/commitments/listcommitmenthistoricalchanges.md): Lists the historical changes made to a specific commitment, ordered by the most recent changes first. Notes: - Owner Transfer on Commitment accounts will transfer the associated subscription charges
